Skip to main content
Resource Center/Network Resource/L3 Network Operations
GETL3 Network OperationsSince 0.6SynchronousAuth Required

GetIpAddressCapacity

GetIpAddressCapacity

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • zoneUuidsList

    Optional. The zone UUIDs.

  • l3NetworkUuidsList

    Optional. The L3 network UUIDs.

  • ipRangeUuidsList

    Optional. The IP range UUIDs.

  • allboolean

    Optional. Global settings.

  • systemTagsList

    Optional. The system tags.

Responses

200 OK

On success, this API returns the following response structure.

  • totalCapacitylongRequired

    The total IP capacity.

  • availableCapacitylongRequired

    The available IP capacity.

  • usedIpAddressNumberLongRequired

    The number of used IP addresses.

  • ipv4TotalCapacitylongRequired

    The IPv4 address capacity.

  • ipv4AvailableCapacitylongRequired

    The available IPv4 address capacity.

  • ipv4UsedIpAddressNumberlongRequired

    The number of used IPv4 addresses.

  • ipv6TotalCapacitylongRequired

    The IPv6 address capacity.

  • ipv6AvailableCapacitylongRequired

    The available IPv6 address capacity.

  • ipv6UsedIpAddressNumberlongRequired

    The number of used IPv6 addresses.

  • resourceTypeStringRequired

    The type of the queried resources, such as the IP range, L3 network, and zone.

  • successbooleanRequired

    Whether the API succeeds.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • capacityDataListRequired

    See capacityData.

    • resourceUuidStringRequired

      The resource UUID.

    • totalCapacitylongRequired

      The total IP capacity.

    • availableCapacitylongRequired

      The available IP capacity.

    • usedIpAddressNumberlongRequired

      The number of used IP addresses.

    • ipv4TotalCapacitylongRequired

      The total IPv4 address capacity.

    • ipv4AvailableCapacitylongRequired

      The available IPv4 address capacity.

    • ipv4UsedIpAddressNumberlongRequired

      The used IPv4 address capacity.

    • ipv6TotalCapacitylongRequired

      The total IPv6 address capacity.

    • ipv6AvailableCapacitylongRequired

      The available IPv6 address capacity.

    • ipv6UsedIpAddressNumberlongRequired

      The used IPv6 address capacity.

  • errorErrorCodeRequired

    See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/ip-capacity

/zstack/v1/ip-capacity

Operation ID

GetIpAddressCapacity

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/ip-capacity?zoneUuids=<zoneUuids>&l3NetworkUuids=<l3NetworkUuids>&ipRangeUuids=<ipRangeUuids>&all=True&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "totalCapacity": 20.0, "availableCapacity": 15.0, "usedIpAddressNumber": 5.0, "ipv4TotalCapacity": 0.0, "ipv4AvailableCapacity": 0.0, "ipv4UsedIpAddressNumber": 0.0, "ipv6TotalCapacity": 0.0, "ipv6AvailableCapacity": 0.0, "ipv6UsedIpAddressNumber": 0.0, "capacityData": [ { "resourceUuid": "68b9a1c74c4c33c7b818e4c14bdea0a7", "totalCapacity": 20.0, "availableCapacity": 15.0, "usedIpAddressNumber": 5.0, "ipv4TotalCapacity": 0.0, "ipv4AvailableCapacity": 0.0, "ipv4UsedIpAddressNumber": 0.0, "ipv6TotalCapacity": 0.0, "ipv6AvailableCapacity": 0.0, "ipv6UsedIpAddressNumber": 0.0 } ], "resourceType": "L3NetworkVO" }

Change History

This API has no change history records yet.

View all change history